GET/accounts

List

Recovers all accounts collected for the item provided

Parameters

Query Parameters

NameType
itemIdrequired
string (uuid)
type
string

Responses

200Retrieve a list of all accounts
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of retrieved accounts

itemsobject

Account of type bank

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "id": "a658c848-e475-457b-8565-d1fffba127c4",
      "type": "BANK",
      "subtype": "SAVINGS_ACCOUNT",
      "number": "40114687/1234",
      "name": "Conta Corrente",
      "marketingName": "SIGNATURE CJA. AHORRO PESOS",
      "balance": 120950,
      "itemId": "a0922d6f-2007-4169-a181-b961500608db",
      "taxNumber": "416.799.495-00",
      "owner": "John Doe",
      "currencyCode": "BRL",
      "bankData": {
        "transferNumber": "string",
        "closingBalance": 0,
        "automaticallyInvestedBalance": 0,
        "overdraftContractedLimit": 0,
        "overdraftUsedLimit": 0,
        "unarrangedOverdraftAmount": 0,
        "hasReservedBalance": true,
        "reservedBalances": [
          {
            "name": "string",
            "identification": "string",
            "availableAmounts": [
              {
                "amount": 0,
                "currencyCode": "string",
                "remuneration": {
                  "preFixedRate": 0,
                  "postFixedIndexerPercentage": 0,
                  "rateType": "string",
                  "indexer": "string",
                  "calculation": "string",
                  "ratePeriodicity": "string",
                  "indexerAdditionalInfo": "string"
                }
              }
            ]
          }
        ]
      },
      "creditData": {
        "level": "string",
        "brand": "string",
        "brandAdditionalInfo": "string",
        "balanceCloseDate": "2024-01-01T00:00:00Z",
        "balanceDueDate": "2024-01-01T00:00:00Z",
        "availableCreditLimit": 0,
        "balanceForeignCurrency": 0,
        "minimumPayment": 0,
        "creditLimit": 0,
        "isLimitFlexible": true,
        "status": "ACTIVE",
        "holderType": "MAIN",
        "disaggregatedCreditLimits": [
          {
            "creditLineLimitType": "string",
            "consolidationType": "string",
            "identificationNumber": "string",
            "isLimitFlexible": true,
            "usedAmount": 0,
            "usedAmountCurrencyCode": "string",
            "lineName": "CREDITO_A_VISTA",
            "lineNameAdditionalInfo": "string",
            "limitAmount": 0,
            "limitAmountCurrencyCode": "string",
            "limitAmountReason": "string",
            "customizedLimitAmount": 0,
            "customizedLimitAmountCurrencyCode": "string",
            "availableAmount": 0,
            "availableAmountCurrencyCode": "string"
          }
        ],
        "additionalCards": [
          {
            "number": "string"
          }
        ]
      },
      "createdAt": "2024-01-15T13:21:08.456Z",
      "updatedAt": "2024-07-22T18:05:11.328Z"
    }
  ]
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/accounts' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Query Parameters